Bug 78124 - "normalize space" function doesn't work right
"normalize space" function doesn't work right
Status: CLOSED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Project
5.x
All All
: P1 (vote)
: 5.x
Assigned To: _ hong_lin
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 15:14 UTC by bugbridge
Modified: 2006-08-31 02:01 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-16 15:14:10 UTC
Original status: 1-Dispatched; Suggested Status: NEW

Original Target Release: coke_dev; Suggested Target Milestone : 5.5

These items should be added to the Status Whiteboard: HOL
Original submitter: hong_lin

Description:
Build: Coke TPR3 and nightly build

Steps to reproduce it:

1. Create a SynchronousSample BPEL project.
2. Modify the input.xml file under Test/TestCase0, add some space between word
"Hello" and "World". So in the input.xml file, line #4 is changed to 
"      <paramA>Hello    World</paramA>"
3. Run test. Test failed. Attached normal1.bmp file is the "Diff" result for the
failure test. 
==> Note that there are spaces at the beginning of line #6 and #7 in the
actual_*.xml file.
4. Open SynchronousSample.bpel design diagram into the Editor window.
5. Select "assign" activity in the diagram. Open the Mapper window.
6. In the Mapper window, delete the original mapping. Add a "normalize space"
method. See the attached normal2.bmp file.
7. Save the modification and run the test again. Test fail again. Check the
"Diff" result. Attached normal1.bmp file is the "Diff" result for the failure test.
==> Note that the extra spaces between word "Hello" and "World" are deleted,
which is the correct behavior. BUT, the spaces in front of line #6 and #7 are
deleted as well, which is not right. And this cause the test fail.
Comment 1 Gabriel Badescu 2006-07-13 23:32:42 UTC
could not find the attachment - also could you please provide a clearer 
explanation
Comment 2 Michael Frisino 2006-07-26 10:24:06 UTC
Is this still an issue?
Comment 3 _ hong_lin 2006-07-26 23:01:49 UTC
Actually, the bug is fixed in nightly build 060725.
Comment 4 _ hong_lin 2006-07-26 23:02:16 UTC
Verified that the bug is fixed in nightly build 060725.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo